define(
{
    "toc":[
        {
            "heading":"Table of Contents",
            "topics":[
                {
                    "title":"<span class=\"secnum\">1.1 </span> About These Release Notes",
                    "href":"index.html#HTMRN-GUID-540B73CB-08A7-4422-B6BF-CC785EC47694"
                },
                {
                    "title":"<span class=\"secnum\">2.1 </span> Before You Begin",
                    "href":"index.html#HTMRN-GUID-27393A86-EEBE-4923-A61C-6E4F334D566D",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">2.1.1 </span> About Release Numbering Convention",
                            "href":"index.html#HTMRN-GUID-54D7AD46-0359-40D0-AAD8-E1811F56E446"
                        },
                        {
                            "title":"<span class=\"secnum\">2.1.2 </span> About Checking for the Most Current Release",
                            "href":"index.html#HTMRN-GUID-7598F76C-3C26-42B7-9F2E-342DE6877E1A"
                        },
                        {
                            "title":"<span class=\"secnum\">2.1.3 </span> About Upgrading to the Latest Oracle Application Express Release",
                            "href":"index.html#HTMRN-GUID-95A96E09-691C-4858-8B59-4042199B9E88"
                        },
                        {
                            "title":"<span class=\"secnum\">2.1.4 </span> About Determining Your Release Version",
                            "href":"index.html#HTMRN-GUID-A94C601D-23A9-4BCE-811D-80A542C76A03"
                        },
                        {
                            "title":"<span class=\"secnum\">2.1.5 </span> Important Information if Updating from a Previous Release",
                            "href":"index.html#HTMRN-GUID-E4353E38-3250-4304-8982-F6D4A7887227"
                        },
                        {
                            "title":"<span class=\"secnum\">2.1.6 </span> Important Information if Upgrading from Oracle Database Version 12c CDB",
                            "href":"index.html#HTMRN-GUID-AF48D015-9CBE-4B0D-9153-39E671386088"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">3.1 </span> Configuration Requirements",
                    "href":"index.html#HTMRN-GUID-DD608345-AA0E-4AE3-8253-204E13D4E176"
                },
                {
                    "title":"<span class=\"secnum\">4.1 </span> New Features",
                    "href":"index.html#HTMRN-GUID-D6D545CB-3ECD-468A-9E7F-8CC09F7F478B",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">4.1.1 </span> JavaScript API Documentation",
                            "href":"index.html#HTMRN-GUID-9D3CA38B-3FDA-446E-9D73-15D141F09394"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.2 </span> Region template Inline Pop-up",
                            "href":"index.html#HTMRN-GUID-DFD8376D-7597-4193-B7C2-CAA60A06D590"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.3 </span> Open Region and Close Region Dynamic Actions",
                            "href":"index.html#HTMRN-GUID-4232A8A2-83FF-4D5E-90CB-35C5FE033B13"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.4 </span> Dark Mode",
                            "href":"index.html#HTMRN-GUID-FD424ED9-4441-4703-8650-994143647344"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.5 </span> New Form Region",
                            "href":"index.html#HTMRN-GUID-088FFA60-EBA0-469F-91EA-3B6C2D29C935"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.6 </span> Data Loading",
                            "href":"index.html#HTMRN-GUID-CE064C54-F237-421F-A8FC-6C957CCAA325"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.7 </span> Charts and Library Upgrades",
                            "href":"index.html#HTMRN-GUID-E8648DD9-C7C8-47EB-BC78-155BF9E99EC4"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.8 </span> Universal Theme",
                            "href":"index.html#HTMRN-GUID-6CFF2E68-0D2B-4D9F-A8D7-85873209D5B8"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.9 </span> JET Chart Enhancements",
                            "href":"index.html#HTMRN-GUID-8E21DE19-DCBF-4668-B2D1-3C2A31BA304F"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.10 </span> Other Features and Changes",
                            "href":"index.html#HTMRN-GUID-F9C819B6-27F9-4B6C-8630-0F75FD707786"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">5.1 </span> Changed Behavior",
                    "href":"index.html#HTMRN-GUID-0F34A43F-A2B7-4D06-AA39-839396676C26",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">5.1.1 </span> Browser Requirements",
                            "href":"index.html#HTMRN-GUID-6E817104-6C58-4FA8-861D-F884AA3369B0"
                        },
                        {
                            "title":"<span class=\"secnum\">5.1.2 </span> Compatibility Mode",
                            "href":"index.html#HTMRN-GUID-712BE54F-08CD-43A3-A645-87B9360ED516"
                        },
                        {
                            "title":"<span class=\"secnum\">5.1.3 </span> Read Only Calendar regions Do Not Support Drag and Drop",
                            "href":"index.html#HTMRN-GUID-964E3B08-F5FF-4CCA-B53D-E382C28616C3"
                        },
                        {
                            "title":"<span class=\"secnum\">5.1.4 </span> Enabling Network Services in Oracle Database 11 <span class=\"italic\">g </span> or Later",
                            "href":"index.html#HTMRN-GUID-8D125731-989A-4A51-AFFE-00181729F87F",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">5.1.4.1 </span> When and Why Network Services Must be Enabled",
                                    "href":"index.html#HTMRN-GUID-DEA26C53-0220-40F1-86FB-482163CA5681"
                                },
                                {
                                    "title":"<span class=\"secnum\">5.1.4.2 </span> Granting Connect Privileges Prior to Oracle Database 12 <span class=\"italic\">c </span>",
                                    "href":"index.html#HTMRN-GUID-E50853EC-0BE9-4E04-A7D0-AF8E4106A470"
                                },
                                {
                                    "title":"<span class=\"secnum\">5.1.4.3 </span> Granting Connect Privileges in Oracle Database 12 <span class=\"italic\">c </span> or Later",
                                    "href":"index.html#HTMRN-GUID-CA19B8DF-B210-46FC-BC3A-F0DC76AE5625"
                                },
                                {
                                    "title":"<span class=\"secnum\">5.1.4.4 </span> Troubleshooting an Invalid ACL Error",
                                    "href":"index.html#HTMRN-GUID-C795F54B-D05F-4463-8424-052FD4C1CE52"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">5.1.5 </span> apex.item Select List Behavior",
                            "href":"index.html#HTMRN-GUID-9681FBE3-4873-4E37-A8AA-952785A9C6B7"
                        },
                        {
                            "title":"<span class=\"secnum\">5.1.6 </span> Interactive Grid Enhancements",
                            "href":"index.html#HTMRN-GUID-DED3953A-6B1F-42F4-ADE6-76D29F29427A"
                        },
                        {
                            "title":"<span class=\"secnum\">5.1.7 </span> JET Chart Gantt Tooltip Enhancements",
                            "href":"index.html#HTMRN-GUID-5FFB15EC-E293-45C4-8EB3-34DA630F2EBA"
                        },
                        {
                            "title":"<span class=\"secnum\">5.1.8 </span> ORDS Services tree focus",
                            "href":"index.html#HTMRN-GUID-558EE32A-618D-44E4-AF9A-D9176B7E97C8"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">6.1 </span> Deprecated Features",
                    "href":"index.html#HTMRN-GUID-657FF369-756E-4F31-96F9-B2D92C3DE084",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">6.1.1 </span> Team Development Deprecated",
                            "href":"index.html#HTMRN-GUID-FDA28EB6-82DC-49BB-B3D5-989711930A43"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.2 </span> Oracle REST Data Services (ORDS)-based Printing Deprecated",
                            "href":"index.html#HTMRN-GUID-A7400F11-3C2B-4391-901A-1782C21335C4"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.3 </span> AnyChart, AnyMap, and AnyGantt charts Deprecated",
                            "href":"index.html#HTMRN-GUID-4252CE2B-A584-494D-A47C-918E2E2DC50E"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.4 </span> Calendar PDF Printing Deprecated",
                            "href":"index.html#HTMRN-GUID-D733B9DA-3A0E-478E-89DE-80C296C63E0D"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.5 </span> apex.server Plug-in and Process Function Async Option Deprecated",
                            "href":"index.html#HTMRN-GUID-8BA18416-7E1B-4ADB-BB02-3A2ECE1CA437"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.6 </span> apex.widget.initPageItem Function Deprecated",
                            "href":"index.html#HTMRN-GUID-2782A575-CB40-45FE-9D92-F79A0E8C9DB1"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.7 </span> APEX_ERROR.GET_ARIA_ERROR_ATTRIBUTES Deprecated",
                            "href":"index.html#HTMRN-GUID-B247F1D3-CCDD-4E66-92AF-5F69C2C243AB"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.8 </span> APEX_UTIL.STRING_TO_TABLE Function Deprecated",
                            "href":"index.html#HTMRN-GUID-6709BB89-9E72-46DF-B6DB-B28E6F81827F"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.9 </span> APEX_UTIL.TABLE_TO_STRING Function Deprecated",
                            "href":"index.html#HTMRN-GUID-ABE4A449-842F-439F-B340-DBD623E67F69"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.10 </span> Deprecated JavaScript Functions",
                            "href":"index.html#HTMRN-GUID-31E36B88-0128-40FD-99AF-C3826546FF5D"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.11 </span> Popup LOV Template Deprecated",
                            "href":"index.html#HTMRN-GUID-A78EFC23-6112-4FA7-BDBC-453FE3B217AD"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.12 </span> APEX_PAGE.IS_JQM_SMARTPHONE_UI is Deprecated",
                            "href":"index.html#HTMRN-GUID-8E908B75-F7C4-42CD-90B1-5CD0420475B6"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.13 </span> openModal and closeModal are Deprecated",
                            "href":"index.html#HTMRN-GUID-216EF074-6E0C-4CCC-BC39-AFECE3674305"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.14 </span> afterModify is Deprecated",
                            "href":"index.html#HTMRN-GUID-636614BD-9AF6-4738-9D09-D2077D8541F9"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.15 </span> apex.page.confirm pMessage Parameter is Deprecated",
                            "href":"index.html#HTMRN-GUID-322E4127-E702-4B38-BD97-32882CA84A8B"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.16 </span> apex.navigation.dialog.fireCloseHandler function is Deprecated",
                            "href":"index.html#HTMRN-GUID-C2C28782-2812-43CD-B85D-533B0ED02D27"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">7.1 </span> Desupported Features",
                    "href":"index.html#HTMRN-GUID-CC4B5D70-22FD-45CA-8F6F-C34A91F1B5BD",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">7.1.1 </span> jQuery Flot and Flot Plug-ins Desupported",
                            "href":"index.html#HTMRN-GUID-B37C2FA8-B1C2-4CF8-98BF-754A81E0E529"
                        },
                        {
                            "title":"<span class=\"secnum\">7.1.2 </span> External Processing in Classic Report Desupported",
                            "href":"index.html#HTMRN-GUID-AC6E5794-5B5C-401A-90B9-C8B7131CAFFF"
                        },
                        {
                            "title":"<span class=\"secnum\">7.1.3 </span> JET Dial Gauge chart type Deprecated",
                            "href":"index.html#HTMRN-GUID-36CC7070-79B0-421F-AEEA-EB146F133661"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">8.1 </span> Fixed Bugs",
                    "href":"index.html#HTMRN-GUID-32C4974D-FBCE-4B23-A72D-934E4248C78C"
                },
                {
                    "title":"<span class=\"secnum\">9.1 </span> Open Bugs and Known Issues",
                    "href":"index.html#HTMRN-GUID-5E3BE2CB-71E8-4B01-AD72-9E8BB4927785",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">9.1.1 </span> Removal of AnyChart Flash Components from Images Folder",
                            "href":"index.html#HTMRN-GUID-34980CC2-71D2-42DB-80C6-593E6814A330"
                        },
                        {
                            "title":"<span class=\"secnum\">9.1.2 </span> Width issue for item type Text with Autocomplete in IE11",
                            "href":"index.html#HTMRN-GUID-A54A3053-7491-49F7-B373-6F1C9D2D9ECB"
                        },
                        {
                            "title":"<span class=\"secnum\">9.1.3 </span> Known Issues for jQuery UI and jQuery Upgrade",
                            "href":"index.html#HTMRN-GUID-6265BFAE-380D-4246-BDFC-01D877D6721A"
                        },
                        {
                            "title":"<span class=\"secnum\">9.1.4 </span> Known Issues for RESTful Services and Oracle REST Data Services (ORDS)",
                            "href":"index.html#HTMRN-GUID-B9DCE54C-C0E3-44FE-A8DE-8B9BB8382450",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">9.1.4.1 </span> Issue when Workspace Name Differs From First Provisioned Schema Name",
                                    "href":"index.html#HTMRN-GUID-E11AE7D2-2944-47BB-A086-EFC7B9A02785"
                                },
                                {
                                    "title":"<span class=\"secnum\">9.1.4.2 </span> Issue when Migrating Application Express RESTful Services with a Null URI to ORDS",
                                    "href":"index.html#HTMRN-GUID-7A2B1E58-1185-4BC6-ACA7-A324170F292F"
                                },
                                {
                                    "title":"<span class=\"secnum\">9.1.4.3 </span> Issue when Using SQL Developer or SQL Scripts to Enable ORDS on an Application Express 18.1 or later Schema",
                                    "href":"index.html#HTMRN-GUID-B08BCCD3-20FD-4E9C-90B3-997A6CE5ED2A"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">10.1 </span> Documentation Additions",
                    "href":"index.html#HTMRN-GUID-92B08337-3A73-4B36-A8FD-A9FAD8D6DB4B",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">10.1.1 </span> Oracle Application Express JavaScript API Reference",
                            "href":"index.html#HTMRN-GUID-9ADDDB30-F718-491F-A299-10FBB5D18BAC"
                        },
                        {
                            "title":"<span class=\"secnum\">10.1.2 </span> Oracle Application Express JavaScript API",
                            "href":"index.html#HTMRN-GUID-052DD773-2528-43D0-A8C2-61403706449B"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">11.1 </span> Documentation Accessibility",
                    "href":"index.html#HTMRN-GUID-E409CC44-9A8F-4043-82C8-6B95CD939296"
                },
                {
                    "title":"<span class=\"secnum\">12.1 </span> Privacy Notice",
                    "href":"index.html#HTMRN-GUID-604D24CA-34BE-4DD6-9278-B6BD9E9C0DAA"
                }
            ]
        }
    ]
});